const helper = require('./utils/helper');
const { Command } = require('commander');
const program = new Command();
program.version('2.0.0');


const currentDirectory = helper.retrieveCurrentDirectory();

// release command
program
    // .command('create <tag>')
    .command('create')
    .description('create release or tag')
    // .requiredOption('-r, --repo <repositories...>', 'repo(s) for the release')
    .option('-r, --repo <repositories...>', 'repo(s) for the release', currentDirectory)
    .option('-c, --changelog', 'show changelog');

// get command
program
    .command('get')
    .description('retrieves the given release of the repository')
    .option('-r, --repo <repo...>', 'the repositories',)
    .option('-t, --tag', 'the tag name');

// show changelog
program
    .command('changelog')
    .description('retrieves the latest changelog of the given repository')
    .option('-r, --repo', 'the repository name')

// list releases
program
    .command('list')
    .description('list all the releases')
    .option('-r, --repo', 'the repository name')

// program.showHelpAfterError('(add --help for additional information)');
// program.parse();
program.parse(process.argv);


// const options = program.opts();
// console.log(options);


module.exports = {
    program: program
}
